Loading...
Searching...
No Matches
ParkerLenhard.hpp File Reference

Implements the Parker-Lenhard twophase p_c-Sw hysteresis model. More...

`#include <opm/material/fluidmatrixinteractions/ParkerLenhardParams.hpp>`
`#include <opm/material/fluidmatrixinteractions/VanGenuchten.hpp>`
`#include <cassert>`
`#include <stdexcept>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | Opm::PLScanningCurve< ScalarT >
| Represents a scanning curve in the Parker-Lenhard hysteresis model. More...
class | Opm::ParkerLenhard< TraitsT, ParamsT >
| Implements the Parker-Lenhard twophase p_c-Sw hysteresis model. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Implements the Parker-Lenhard twophase p_c-Sw hysteresis model.

This class adheres to the twophase capillary pressure API.